%define language de
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname German
%define name mozilla-thunderbird-%{locale}
%define version 1.5.0.4
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define thunderbird_version %version
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{thunderbird_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{thunderbird_version}/linux-i686-gtk2+xft/xpi

Summary: %{langname} interface for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/%language.xpi
License: GPL
Group: Networking/Mail
Url: http://www.mozilla.org/products/thunderbird/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Thunderbird

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# MySpell files
#mkdir -p %buildroot%{mozillalibdir}/components/myspell/
#cp components/myspell/it.aff %buildroot%{mozillalibdir}/components/myspell/%language.aff
#cp components/myspell/it.dic %buildroot%{mozillalibdir}/components/myspell/%language.dic
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@thunderbird.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@thunderbird.mozilla.org/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{mozillalibdir}/extensions/langpack-%{locale}@thunderbird.mozilla.org

%changelog
* Sat Jun 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.4-1mdv2007.0
- New release 1.5.0.4

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-1mdk
- New release 1.5.0.2
- Remove patch0 : Merged upstream
 
* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5-2mdk
- Patch0 (Stefan Puch): fix rdf file

* Wed Feb 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-1mdk
- New release 1.5

* Thu Oct 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-2mdk
- Use fcrozat changes
	- Add postun requires and test if script is there when uninstalling
	- fix buildroot

* Wed Oct 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-1mdk
- New release 1.0.7 ( new xpi )

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.6-2mdk
- Fix PreReq

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.6-1mdk
- Update xpi 
- Rebuild for mozilla-thunderbird 1.0.6

* Sun May 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.2-0.2mdk
- Remove Noarch

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-0.1mdk 
- Rebuild for thunderbird 1.0.2

* Mon Mar 14 2005 Yuri Bugelli <yuri.bugelli@virgilio.it> 1.0-0.1mdk
- initial package based on the mozilla-firefox locales
